Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas :: Class ArrowLine

[frames | no frames]

## Class ArrowLine

           DrawObject --+
                        |
        LineOnlyMixin --+
                        |
    PointsObjectMixin --+
                        |
                       ArrowLine

ArrowLine(Points, # coords of points
  LineColor = "Black", LineStyle = "Solid", LineWidth = 1, ArrowHeadSize = 4, # in pixels ArrowHeadAngle = 45, InForeground = False):

It will draw a set of arrows from point to point.

It takes a list of 2-tuples, or a NX2 NumPy Float array of point coordinates.

Method Summary
| `__init__(self, Points, LineColor, LineStyle, LineWidth, ArrowHeadSize, ArrowHeadAngle, InForeground)`
| `CalcArrowPoints(self)`

Class Variable Summary

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:01 2007 | http://epydoc.sf.net